package com.danitheskunk.skunkstuff;

import net.minecraft.block.Block;
import net.minecraft.block.Material;
import net.minecraft.item.BlockItem;
import net.minecraft.item.ItemGroup;
import net.minecraft.util.Identifier;
import net.minecraft.util.registry.Registry;
import org.quiltmc.loader.api.ModContainer;
import org.quiltmc.qsl.base.api.entrypoint.ModInitializer;
import org.quiltmc.qsl.block.extensions.api.QuiltBlockSettings;
import org.quiltmc.qsl.item.setting.api.QuiltItemSettings;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class SkunkStuff implements ModInitializer {
	public static final Logger LOGGER = LoggerFactory.getLogger("SkunkStuff");

	public static final Block GOBAN_BLOCK =
		new Block(QuiltBlockSettings.of(Material.WOOD).strength(2).opaque(false));

	@Override
	public void onInitialize(ModContainer mod) {
		Registry.register(Registry.BLOCK, new Identifier("skunkstuff", "goban"), GOBAN_BLOCK);
		Registry.register(Registry.ITEM, new Identifier("skunkstuff",
			"goban"), new BlockItem(GOBAN_BLOCK,
				new QuiltItemSettings().group(ItemGroup.MISC)));
		LOGGER.info("Hello Quilt world from {}!", mod.metadata().name());
	}
}
